summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Larry Hajali <larryhaja[at]gmail[dot]com>2015-05-13 22:43:51 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-13 22:43:51 +0700
commit47701e574308991c1ab70bade65a6565fddf104a (patch)
tree511609770794a04e2c0343ca319766353e6973dc /games
parent3ddf8004de7a8e444114cc83606f94806b7372a4 (diff)
downloadslackbuilds-47701e574308991c1ab70bade65a6565fddf104a.tar.gz
slackbuilds-47701e574308991c1ab70bade65a6565fddf104a.tar.xz
games/trigger-rally: Added (Free OpenGL rally car racing game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/trigger-rally/README6
-rw-r--r--games/trigger-rally/doinst.sh9
-rw-r--r--games/trigger-rally/slack-desc19
-rw-r--r--games/trigger-rally/trigger-rally.SlackBuild123
-rw-r--r--games/trigger-rally/trigger-rally.desktop14
-rw-r--r--games/trigger-rally/trigger-rally.info12
6 files changed, 183 insertions, 0 deletions
diff --git a/games/trigger-rally/README b/games/trigger-rally/README
new file mode 100644
index 0000000000..b45ae57396
--- /dev/null
+++ b/games/trigger-rally/README
@@ -0,0 +1,6 @@
+Trigger is a free 3D rally car racing game. Fun for all the family. Trigger
+comes with a number of challenges where you have to race several tracks to
+finish each challenge. When racing a track, you have to reach several locations
+marked by pulsating rings in sequence. You win a race if you reach the last
+location in time. Trigger is highly customisable, and it's easy to add new
+levels and vehicles.
diff --git a/games/trigger-rally/doinst.sh b/games/trigger-rally/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/trigger-rally/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/trigger-rally/slack-desc b/games/trigger-rally/slack-desc
new file mode 100644
index 0000000000..e8048f7d2a
--- /dev/null
+++ b/games/trigger-rally/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+trigger-rally: trigger-rally (Free OpenGL rally car racing game)
+trigger-rally:
+trigger-rally: Trigger is a free 3D rally car racing game. Fun for all the family.
+trigger-rally: Trigger comes with a number of challenges where you have to race
+trigger-rally: several tracks to finish each challenge. When racing a track, you have
+trigger-rally: to reach several locations marked by pulsating rings in sequence. You
+trigger-rally: win a race if you reach the last location in time. Trigger is highly
+trigger-rally: customisable, and it's easy to add new levels and vehicles.
+trigger-rally:
+trigger-rally: Homepage: http://trigger-rally.sourceforge.net/
+trigger-rally:
diff --git a/games/trigger-rally/trigger-rally.SlackBuild b/games/trigger-rally/trigger-rally.SlackBuild
new file mode 100644
index 0000000000..56cafb1ff4
--- /dev/null
+++ b/games/trigger-rally/trigger-rally.SlackBuild
@@ -0,0 +1,123 @@
+#!/bin/sh
+
+# Slackware build script for trigger-rally
+
+# Copyright 2015 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=trigger-rally
+VERSION=${VERSION:-0.6.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION-src
+tar xvf $CWD/$PRGNAM-$VERSION-data.tar.bz2
+# Fix permissions.
+find . -type f -exec chmod -x '{}' \;
+chmod +x configure
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --bindir=/usr/games \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --datadir=/usr/share/$PRGNAM \
+ --build=$ARCH-slackware-linux
+
+jam -dx -qa
+
+# Manually install the binary and data files.
+mkdir -p $PKG/usr/games $PKG/usr/share/$PRGNAM
+install -m 0755 trigger $PKG/usr/games/$PRGNAM
+cd $PRGNAM-$VERSION-data
+find . -maxdepth 1 -type d -exec cp -ar '{}' $PKG/usr/share/$PRGNAM \;
+cp trigger.config.defs $PKG/usr/share/$PRGNAM
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+for i in 16 22 24 32 36 48 64 72 96 128 192 256; do
+ install -D -m 0644 $PRGNAM-$VERSION-data/icon/trigger-${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+install -D -m 0644 $PRGNAM-$VERSION-data/icon/$PRGNAM-icons.svg \
+ $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Fix permissions.
+find $PKG -type d -exec chmod 0755 '{}' \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/trigger-rally/trigger-rally.desktop b/games/trigger-rally/trigger-rally.desktop
new file mode 100644
index 0000000000..8f56dcd31c
--- /dev/null
+++ b/games/trigger-rally/trigger-rally.desktop
@@ -0,0 +1,14 @@
+[Desktop Entry]
+Name=Trigger
+GenericName=Trigger
+Icon=trigger-rally
+Comment=3D rally racing car game
+Comment[de_DE]=3D Rally-Autorennen
+Comment[fr_FR]=un jeu de rally en 3D
+Comment[ro_RO]=Un joc în 3D cu curse de raliu
+Exec=trigger-rally
+Terminal=false
+StartupNotify=false
+Type=Application
+TryExec=/usr/games/trigger-rally
+Categories=Game;ActionGame;
diff --git a/games/trigger-rally/trigger-rally.info b/games/trigger-rally/trigger-rally.info
new file mode 100644
index 0000000000..1dc4d7f06c
--- /dev/null
+++ b/games/trigger-rally/trigger-rally.info
@@ -0,0 +1,12 @@
+PRGNAM="trigger-rally"
+VERSION="0.6.2"
+HOMEPAGE="http://trigger-rally.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/trigger-rally/trigger-rally-0.6.2-src.tar.bz2 \
+ http://downloads.sourceforge.net/trigger-rally/trigger-rally-0.6.2-data.tar.bz2"
+MD5SUM="f1c6b7e37e692441d36114297047317a \
+ ec1d417e229bae8107f1b44d932b4e67"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="freealut physfs jam"
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"